> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /lifull/companies

> Get a LIFULL HOME'S (homes.co.jp) real-estate company (不動産会社) by id or /realtor/mid-{id}/ URL: name, name kana, address, transit, business hours, holidays, phone, fax, license number, industry associations, guarantee associations, rent/sale deal categories and features.

**Price:** 10 credits

**⚠️ Common errors:** 412: Company not found (well-formed id/URL but the company page does not exist)



## OpenAPI

````yaml /openapi/real-estate.json post /api/lifull/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/lifull/companies:
    post:
      tags:
        - /lifull
      summary: /lifull/companies
      description: >-
        Get a LIFULL HOME'S (homes.co.jp) real-estate company (不動産会社) by id or
        /realtor/mid-{id}/ URL: name, name kana, address, transit, business
        hours, holidays, phone, fax, license number, industry associations,
        guarantee associations, rent/sale deal categories and features.


        **Price:** 10 credits


        **⚠️ Common errors:** 412: Company not found (well-formed id/URL but the
        company page does not exist)
      operationId: __api_lifull_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LifullCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LifullCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LifullCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        company:
          type: string
          minLength: 1
      type: object
      required:
        - company
    LifullCompany:
      properties:
        '@type':
          type: string
          default: LifullCompany
        id:
          type: string
        url:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        name_kana:
          anyOf:
            - type: string
            - type: 'null'
        homepage_url:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        transit:
          items:
            type: string
          type: array
          default: []
        business_hours:
          anyOf:
            - type: string
            - type: 'null'
        holidays:
          anyOf:
            - type: string
            - type: 'null'
        tel:
          anyOf:
            - type: string
            - type: 'null'
        fax:
          anyOf:
            - type: string
            - type: 'null'
        license_number:
          anyOf:
            - type: string
            - type: 'null'
        associations:
          items:
            type: string
          type: array
          default: []
        guarantee_associations:
          items:
            type: string
          type: array
          default: []
        rent_deals:
          anyOf:
            - type: string
            - type: 'null'
        sale_deals:
          anyOf:
            - type: string
            - type: 'null'
        features:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````